Delete view

Delete the specified view. This operation is not reversible; please confirm that the view is no longer needed before performing it.

HTTP
POST $CLOUDSIGMA_API_BASE/meta/view/drop

Before you call this API

Configure the regional API endpoint and authentication, and select the target workspace.

You can first query the table in the database to confirm the name.

Request

Replace caller-specific values in the example with actual values.

Shell
curl -X POST "$CLOUDSIGMA_API_BASE/meta/view/drop" \
  -H "X-API-Key: $CLOUDSIGMA_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID" \
  -H 'Content-Type: application/json' \
  -d "{\"db_name\":\"$DATABASE\",\"table_name\":\"$VIEW\"}"

Request body

ParameterTypeRequiredDescription
db_namestringRequiredThe name of the database where the view is located.
table_namestringRequiredThe name of the view to delete.

Successful response

JSON
{"code":200,"data":null}

The response fields are as follows.

Field

Type

Description

code

integer

200 on success.

data

null

This operation does not return a result object.

A successful response does not return an object. Then query the table in the database to confirm that the view no longer appears.

Error response

JSON
{
  "code": 400,
  "message": "table_name 不能为空"
}
FieldTypeDescription
codeinteger or stringError code or status.
messagestringError message.

Follow-up operations

View table field, confirm that the target no longer appears.

Last updated on